{
  "id": "738116db18502e4ece52f7be",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type TemplateNode",
  "content": "# type parse.type TemplateNode ¶\n\n```\ntype TemplateNode struct {\n\tNodeType\n\tPos\n\n\tLine int       // The line number in the input. Deprecated: Kept for compatibility.\n\tName string    // The name of the template (unquoted).\n\tPipe *PipeNode // The command to evaluate as dot for the template.\n\t// contains filtered or unexported fields\n}\n```\n\nTemplateNode represents a {{template}} action.",
  "url": "https://pkg.go.dev/parse#type TemplateNode ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type TemplateNode ¶",
    "type_kind": "alias",
    "underlying": "type TemplateNode struct {\n\tNodeType\n\tPos\n\n\tLine int       // The line number in the input. Deprecated: Kept for compatibility.\n\tName string    // The name of the template (unquoted).\n\tPipe *PipeNode // The command to evaluate as dot for the template.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "97803dbe6f6d1c6b52a504fd271de7823fbea603dd2a08229f596c91bfe24c97",
  "timestamp": "2026-02-23T11:22:10.617625578+01:00"
}